Package Details: enlightenment-git 0.24.0.beta1.24079.gd63f4a53e-1

Git Clone URL: https://aur.archlinux.org/enlightenment-git.git (read-only, click to copy)
Package Base: enlightenment-git
Description: Enlightenment window manager - Development version
Upstream URL: http://www.enlightenment.org
Licenses: BSD
Conflicts: enlightenment
Provides: enlightenment=0.24.0.beta1.24079.gd63f4a53e, notification-daemon
Submitter: Scimmia
Maintainer: raster
Last Packager: raster
Votes: 64
Popularity: 0.40
First Submitted: 2014-01-08 21:25
Last Updated: 2020-05-14 09:28

Dependencies (22)

Required by (47)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 ... Next › Last »

TwoD commented on 2017-11-03 08:21

@raster, zmike fixed it back in September: https://phab.enlightenment.org/rEd70ab09a4a769b07527b56332618ab2b9a0326e2
Edit: The above was the commit that broke it (the first time), this one fixed the last issue I had:
https://git.enlightenment.org/core/enlightenment.git/commit/?id=b8c5f0c2809c090ace1d8fcdc7ef48ba8eadb893

raster commented on 2017-11-03 05:51

FYI @TwoD -> on latest arch updates i can build with meson. i dont see the problems you do.

raster commented on 2017-11-03 00:08

You don't have meson.build in the git repo cloned? Your paste log doesn't show any git clone activity etc.... it says its fetching git but no output. Check the git repo clone dir. Something is wrong if you have no meson.build file. I am just building now on arch straight from whatever current git master is (which is what this pkg does) and it builds just fine... have you somehow clones a branch or different repo entirely? I just rebuilt efl and enlightenment AUR git pkgs just fine:

$ pacman -Q | grep -- -git
efl-git 1.20.99.56150.ge5d1cc731a-1
enlightenment-git 0.22.99.23186.gd4ea0987f-1

yash commented on 2017-11-02 18:41

Not sure if it's just me getting this error or everyone..
https://paste2.org/EPY7k1Un

raster commented on 2017-10-27 23:19

done. sorry - i thought i pushed it... but i pushed efl-git ... wrong repo :)

sirus20x6 commented on 2017-10-27 18:09

please fix. Still doesn't build

makedepends=('git meson')

to

makedepends=('git' 'meson')

sirus20x6 commented on 2017-10-25 04:03

@raster well it doesn't build for me. it says it cant satisfy git meson which of course doesn't exist. pretty sure changing:
makedepends=('git meson')

to

makedepends=('git' 'meson')

would fix it

raster commented on 2017-10-20 05:49

indeed it should be 'git' and 'meson'. oddly it builds. i still need to look into this new meson issue. i haven't had time this week.

sirus20x6 commented on 2017-10-20 05:29

i think git meson should be git and meson in depends?

raster commented on 2017-10-12 04:42

That's new. I haven't seen that before but my system isn't totally up to date. I'm travelling right now so I don't have time to fix it this week but will look next week.